Регистрация пройдена успешно!
Пожалуйста, перейдите по ссылке из письма, отправленного на

Пользователи взламывают iPhone, чтобы устранить брешь безопасности

Пользователи предыдущих поколений смартфонов iPhone и плееров iPod Touch, не использующих последнюю версию операционной системы iOS, вынуждены прибегать к взлому устройств, чтобы исправить программную уязвимость платформы Apple, связанную с обработкой PDF-файлов.

МОСКВА, 13 авг - РИА Новости, Илья Илембитов. Пользователи предыдущих поколений смартфонов iPhone и плееров iPod Touch, не использующих последнюю версию операционной системы iOS, вынуждены прибегать к взлому устройств, чтобы исправить программную уязвимость платформы Apple, связанную с обработкой PDF-файлов, сообщил сайт Engadget в пятницу.

Уязвимость, позволяющая получить доступ к системе (пользовательским данным, а также выполнению произвольных операций на устройстве) при открытии особым образом сконструированного PDF-файла на iPhone, iPod Touch и iPad, была обнаружена на минувшей неделе. Компания Apple выпустила обновление безопасности, решающее эту проблему, однако лишь для устройств, работающих под управлением операционной системы iOS 4.0 и выше.

iOS 4.0 не может быть установлена на iPhone и iPod Touch первого поколения, следовательно, эти аппараты остаются незащищенными. Кроме того, многие владельцы iPhone 3G отказались от обновления операционной системы до iOS 4.0, так как обновление приводило к снижению скорости работы смартфона - эти пользователи также остаются в группе риска.

В результате исправление безопасности для старых версий iOS доступно пока лишь на альтернативном репозитории iOS-программ Cydia. На этом сайте публикуются приложения для iPhone, iPod Touch и iPad, которые по каким то причинам не попали в официальный магазин Apple App Store. Программы на Cydia доступны только пользователям устройств, прошедших процедуру взлома прошивки (Jailbrake).

Хотя Jailbrake с недавних пор признан в США легальным, Apple по прежнему борется с ним – в частности, владельцам взломанных аппаратов может быть отказано в ремонте по гарантии. Таким образом, пользователи старых версий iPhone и iPod Touch попали в странную ситуацию: чтобы закрыть уязвимость в системе безопасности им приходится вступать в конфликт с рекомендациями производителя устройств.

Рекомендуем
Лента новостей
0
Сначала новыеСначала старые
loader
Онлайн
Заголовок открываемого материала
Чтобы участвовать в дискуссии
авторизуйтесь или зарегистрируйтесь
loader
Чаты
Заголовок открываемого материала